
-- DROP TABLE tl_culture_narrative;



CREATE TABLE tl_culture_narrative (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    narrative_notes text NULL,
    color_code varchar(200) NULL,
    culture_element_number numeric(12)  NULL,
    culture_element_quest_id numeric(12)  NULL,
    culture_element_rating_id numeric(12)  NULL
    );



ALTER TABLE tl_culture_narrative ADD    
    CONSTRAINT PK_tl_culture_narrative PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_culture_narrative_culture_element_number 
    ON tl_culture_narrative (culture_element_number);

    CREATE INDEX idx_tl_culture_narrative_culture_element_quest_id 
    ON tl_culture_narrative (culture_element_quest_id);

    CREATE INDEX idx_tl_culture_narrative_culture_element_rating_id 
    ON tl_culture_narrative (culture_element_rating_id);
